Subject: bug#54190: 29.0.50; [PATCH] Incorrect/missing documentation for some Eshell "$" syntaxes

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Mar 2022 15:10:51 +0200

> From: Jim Porter <[email-masked]>
> Date: Mon, 28 Feb 2022 09:47:54 -0800
> Cc: [email-masked]
> 
> Here's a patch to fix this, with a test so it doesn't regress again. I 
> also re-attached the doc fix for simplicity. Both should apply to the 28 
> branch with no issues.

Thanks, installed on the emacs-28 branch.  (But the markup in the
manual part was wrong; see my followup changes.)

> I'll try to figure out why `eshell-do-eval' expects quoted lambdas, but 
> unless that's a really trivial problem, the method here is probably 
> safer for the 28 branch. Besides, I'm now 4 or 5 steps removed from the 
> patch I was *trying* to work on, so a quick fix here will help me get 
> back on track.
> 
> Longer term, I agree that rewriting `eshell-do-eval' in terms of 
> generator.el would be good. I think there are some bugs with how local 
> variable state is managed by `eshell-do-eval', but I haven't had a 
> chance to investigate it in any detail yet.

Fine with me.  It's up to you whether to close this bug or leave it
open until a better solution is found for master.